footer {
	background-image: radial-gradient(circle at 15% -3%  rgba(32,38,57,1) 11.4%, rgba(63,76,119,1) 70.2% );
	margin-top: 100px;

	display: flex;
	justify-content: space-around;
}

.footer-ul {
	list-style: none;
	padding: 0px;
}

.footer-section {
	padding: 1.2rem;
	color: white;
	margin: auto;
	

	display: grid;
	grid-template-columns: 50% 1fr 1fr; 
 }

.footer-section > div {
	padding: 1.2rem;
}

.footer-section a {
	color: white;
	opacity: 75%;
	text-decoration: none;

	/* Will affect all contents of container with 0.5ms transition speed */
	-webkit-transition: all 0.4s ease;  /* Safari and Chrome */
	-moz-transition: all 0.4s ease;    /* Mozilla Firefox */
	-ms-transition: all 0.4s ease;    /* Edge */
	-o-transition: all 0.4s ease;    /* Opera */
	transition: all 0.4s ease;	    /* Standard */
}

.footer-section a:hover {
	color: #00bfff;
	opacity: 100%;
	text-decoration: none;

	/* Will affect all contents of container with 0.5ms transition speed */
	-webkit-transition: all 0.5s ease;  /* Safari and Chrome */
	-moz-transition: all 0.5s ease;    /* Mozilla Firefox */
	-ms-transition: all 0.5s ease;    /* Edge */
	-o-transition: all 0.5s ease;    /* Opera */
	transition: all 0.5s ease;	    /* Standard */
}

.footer-section p {
	margin-top: 1rem;
	line-height: .75rem;
}

#footer-logo {
	width: 40%;
}

#logo-text {
    line-height: 150%;
}

.copyright {
	text-align: center;

	grid-template-columns: 1fr; 
}

#copyright-text {
	line-height: 150%;
}

.border-top {
	border-top: 1px solid hsla(0,0%,100%,.1);
}


.footer-section .fa {
	font-size: 30px;
	padding: 3px;
}


.footer-section .fa {

	/* Will affect all contents of container with 0.5ms transition speed */
	-webkit-transition: all 0.4s ease;  /* Safari and Chrome */
	-moz-transition: all 0.4s ease;    /* Mozilla Firefox */
	-ms-transition: all 0.4s ease;    /* Edge */
	-o-transition: all 0.4s ease;    /* Opera */
	transition: all 0.4s ease;	    /* Standard */
}

.footer-section .fa:hover {

	/* Will affect all contents of container with 0.5ms transition speed */
	-webkit-transition: all 0.5s ease;  /* Safari and Chrome */
	-moz-transition: all 0.5s ease;    /* Mozilla Firefox */
	-ms-transition: all 0.5s ease;    /* Edge */
	-o-transition: all 0.5s ease;    /* Opera */
	transition: all 0.5s ease;	    /* Standard */
}

.fa-twitter{
	
	color:white;
}

.fa-twitter:hover{
	
	color:#1da1f2;	
}


.fa-youtube{
	
	color:white;
}

.fa-youtube:hover{
	
	color:red;		
}


.fa-facebook{
	
	color:white;
}

.fa-facebook:hover{
	
	color:#3b579d;	
}


.fa-steam{
	
	color:white;	
}

.fa-steam:hover{

	color:black;
}


@media all and ( min-width: 1201px ) {    

    .footer-section {
		width: 55%;
    }
}


@media all and ( max-width: 768px ) {
    .footer-section {
        grid-template-columns: repeat(auto-fit, minmax(12rem, 1fr)); 
    }
    
    #footer-logo {
        width: 100%;
    }
}